<?php
/*
Plugin Name: Facebook Like Box WpTeam
Plugin URI: http://wpteam.org/wordpress-facebook-like-box-plugin/
Description: Our Facebook Like Box plugin is an nice and functional tool for inserting Like Box into your website. You can insert the Like Box almost everywhere on your website.
Version: 1.0.1
Author: wpteam
Author URI: http://wpteam.org/wordpress-facebook-like-box-plugin/
License:  GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/
 

class like_box_main{
	// required variables
	
	private $like_box_plugin_url;
	
	private $like_box_plugin_path;
	
	private $like_box_version;
	
	public $like_box_options;
	
	
	function __construct(){
		
		$this->like_box_plugin_url  = trailingslashit( plugins_url('', __FILE__ ) );
		$this->like_box_plugin_path = trailingslashit( plugin_dir_path( __FILE__ ) );
		if(!class_exists('like_box_setting'))
		require_once($this->like_box_plugin_path.'includes/library.php');
		$this->like_box_version     = 10.0;
		$this->call_base_filters();
		$this->install_databese();
		$this->create_admin_menu();	
		$this->like_box_front_end();
		
	}
	
	public function create_admin_menu(){
		
		require_once($this->like_box_plugin_path.'includes/admin_menu.php');
		
		$like_box_admin_menu = new like_box_admin_menu(array('menu_name' => 'Like Box','databese_parametrs'=>$this->like_box_options));
		
		add_action('admin_menu', array($like_box_admin_menu,'create_menu'));
		
	}
	
	public function install_databese(){
		
		require_once($this->like_box_plugin_path.'includes/install_database.php');
		
		$like_box_install_database = new like_box_install_database();
		
		$this->like_box_options = $like_box_install_database->installed_options;
		
	}
	
	public function like_box_front_end(){
		
		require_once($this->like_box_plugin_path.'includes/front_end.php');
		require_once($this->like_box_plugin_path.'includes/widget.php');
		$like_box_front_end = new like_box_front_end(array('menu_name' => 'Like Box','databese_parametrs'=>$this->like_box_options));
		
	}
	
	public function registr_requeried_scripts(){
		wp_register_script('like-box-admin-script',$this->like_box_plugin_url.'includes/javascript/admin-like-box.js');
		wp_register_script('like-box-front-end',$this->like_box_plugin_url.'includes/javascript/front_end_js.js');
		wp_register_style('front_end_like_box',$this->like_box_plugin_url.'includes/style/style.css');
		wp_register_style('animated',$this->like_box_plugin_url.'includes/style/effects.css');
		wp_register_style('like-box-admin-style',$this->like_box_plugin_url.'includes/style/admin-style.css');
		
	}
	
	public function call_base_filters(){
		add_action( 'init',  array($this,'registr_requeried_scripts') );
		add_action( 'admin_head',  array($this,'include_requeried_scripts') );
	}
  	public function include_requeried_scripts(){
		wp_enqueue_script('wp-color-picker');
		wp_enqueue_style( 'wp-color-picker' );
	}

}
$like_box_main = new like_box_main();

/*WPTEAM UPDATE PART*/

add_action('admin_init','wpteam_auto_update_main_function_like_box_free'); //Function responsible for front-end		
function wpteam_auto_update_main_function_like_box_free(){
	
	require_once(trailingslashit(plugin_dir_path( __FILE__ )).'auto_update_extension.php');// updatei hamar		
	$wpteam_update_plugin_info=__FILE__;
	
	$plugin_information=get_plugin_data($wpteam_update_plugin_info);	
	$wpteam_plugin_current_version = $plugin_information['Version'];	
	
	$wpteam_plugin_slug = trim(str_replace(dirname(dirname(__FILE__)),'',$wpteam_update_plugin_info),'\\');// replaceble
	$wpteam_plugin_slug=str_replace('\\','/',$wpteam_plugin_slug);
	$wpteam_plugin_remote_path = 'http://wpteam.org/wp-admin/admin-ajax.php?action=wpteam_update_plugins&plugin='.urlencode($wpteam_plugin_slug);
	new wpteam_auto_update_plugins ($wpteam_plugin_current_version, $wpteam_plugin_remote_path, $wpteam_plugin_slug,$plugin_information);	
}
/*WPTEAM UPDATE PART*/

?>